# Generated from csv-diff-0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name csv-diff

Name: rubygem-%{gem_name}
Version: 0.6.1
Release: 1%{?dist}
Summary: CSV Diff is a library for generating diffs from data in CSV or XML format
License: MIT
URL: https://github.com/agardiner/csv-diff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This library performs diffs of CSV data, or any table-like source.
Unlike a standard diff that compares line by line, and is sensitive to the
ordering of records, CSV-Diff identifies common lines by key field(s), and
then compares the contents of the fields in each line.
Data may be supplied in the form of CSV files, or as an array of arrays. The
diff process provides a fine level of control over what to diff, and can
optionally ignore certain types of changes (e.g. changes in position).
CSV-Diff is particularly well suited to data in parent-child format. Parent-
child data does not lend itself well to standard text diffs, as small changes
in the organisation of the tree at an upper level can lead to big movements
in the position of descendant records. By instead matching records by key,
CSV-Diff avoids this issue, while still being able to detect changes in
sibling order.
This gem implements the core diff algorithm, and handles the loading and
diffing of CSV files (or Arrays of Arrays). It also supports converting
data in XML format into tabular form, so that it can then be processed
like any other CSV or table-like source.  It returns a CSVDiff object
containing the details of differences in object form. This is useful for
projects that need diff capability, but want to handle the reporting or
actioning of differences themselves.
For a pre-built diff reporting capability, see the csv-diff-report gem,
which provides a command-line tool for generating diff reports in HTML,
Excel, or text formats.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.6.1-1
- Initial package
